petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSVD

Use pseudo inverse defined by SVD of operator Many br

### Options Database

-pc_svd_zero_sing <rtol> Singular values smaller than this are treated as zero -+ -pc_svd_monitor Print information on the extreme singular values of the operator Many br

Developer Note: This implementation automatically creates a redundant copy of the Many brmatrix on each process and uses a sequential SVD solve. Why does it do this instead Many brof using the composable PCREDUNDANT object? Many br

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC

Level:advanced
Location:src/ksp/pc/impls/svd/svd.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages